Kerbal Space Program - Bug #15572

Orbital contract doesn't complete
06/29/2017 03:07 PM - Snark

Status: Need More Info Start date: 06/29/2017
Severity: Normal % Done: 0%
Assignee:
Category:
Target version:
Version: 1.3.0 Language: English (US)
Platform: Windows Mod Related: No

Expansion:

Description

| have a contract to put a new unmanned satellite into a keosynchronous orbit of Kerbin. I've done everything I'm supposed to (just
now arrived at the target orbit), except that it has run into the following problems:

- The contract doesn't complete.

- The contract window shows that the unsatisfied criterion is "new unmanned satellite that has an antenna and can generate power".
But this is satisfied. It's unmanned. It was launched after accepting the contract. It has nine antennas on it. And it has solar panels.
- However, when | matched the orbit... the game removed the target orbit from map view-- it's gone! So even if | were to try to
launch another satellite, the contract is now uncompletable.

- But if | save the game, then re-load from the save, the contract completes. (Upon loading, only the "stable for 10 seconds” criterion
is uncompleted, and all | have to do is wait.)

| got to this state by loading launch.sfs (attached), getting into an orbit, switching to another ship for a bit, then coming back to this
ship.

History

#1 - 07/19/2017 01:54 AM - bewing

I've put your sat in orbit 5 times according to your instructions (switching to the other vessel for a few seconds) and the contract completes every time
for me. So there's some tiny detail missing
here.

#2 - 06/09/2020 03:36 PM - Robert.Keech

- Status changed from New to Need More Info

Files

launch.png 59.3 KB 06/29/2017 Snark
uncompleted.sfs 187 KB 06/29/2017 Snark
unsatisfied.png 84.4 KB 06/29/2017 Snark
launch.sfs 212 KB 06/29/2017 Snark
